MCP Tools Reference: ces.googleapis.com

工具:start_export_app

开始导出 CES 应用

以下示例演示了如何使用 curl 调用 start_export_app MCP 工具。

Curl 请求
                  
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "start_export_app",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

McpService.StartExportApp 的请求消息。

StartExportAppRequest

JSON 表示法
{
  "projectId": string,
  "locationId": string,
  "appId": string
}
字段
projectId

string

要导出的应用的项目 ID。

locationId

string

要导出的应用的位置 ID。

appId

string

要导出的应用的 app id。

输出架构

用于导出 CES 应用的操作。

ExportAppOperation

JSON 表示法
{
  "name": string,
  "done": boolean,
  "content": string
}
字段
name

string

导出应用操作的资源名称。

done

boolean

操作是否已完成。

content

string (bytes format)

如果 [done] 为 true,则包含压缩应用导出的 zip 文件的字节,该文件是一个包含 YAML 格式的应用配置文件。

使用 base64 编码的字符串。

工具注释

破坏性提示:❌ | 等幂性提示:❌ | 只读提示:❌ | 开放世界提示:❌